Bug 185908 - [PATCH] irc/weechat, irc/weechat-devel: Change default options (TLS, scripts support)
Summary: [PATCH] irc/weechat, irc/weechat-devel: Change default options (TLS, scripts ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jase Thew
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-20 13:20 UTC by Jean-Sébastien Pédron
Modified: 2014-02-13 19:15 UTC (History)
0 users

See Also:


Attachments
file.diff (2.38 KB, patch)
2014-01-20 13:20 UTC, Jean-Sébastien Pédron
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Sébastien Pédron freebsd_committer 2014-01-20 13:20:00 UTC
Now that we have binary packages, I find that the default options on WeeChat are not sensible anymore for an end-user.

Here's a patch that:
    o  enables TLS support
    o  enables all scripting languages
    o  enables COLOR256

The patch also removes the pre-configure target which previously displayed a message about ncurses' EXTCOLORS option. This option seems gone, so no need to have this warning.

The patch modifies irc/weechat and irc/weechat-devel in a same way.

What do you think?

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-01-20 13:20:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jase

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Jase Thew freebsd_committer 2014-02-09 17:12:28 UTC
State Changed
From-To: open->closed

There's a new release due shortly (0.4.3), so I'll change the default 
options when I update the ports upon release.
Comment 3 Jase Thew freebsd_committer 2014-02-09 17:14:41 UTC
State Changed
From-To: closed->analyzed

Hold PR until Weechat 0.4.3
Comment 4 dfilter service freebsd_committer 2014-02-12 15:52:27 UTC
Author: jase
Date: Wed Feb 12 15:52:18 2014
New Revision: 343932
URL: http://svnweb.freebsd.org/changeset/ports/343932
QAT: https://qat.redports.org/buildarchive/r343932/

Log:
  - Update to 0.4.3
  - Rename DOCUMENTATION option to DOCS and add a pre-built docs distfile
  - Utilise DOCSDIR macro in pkg-plist
  - Change defaults to enable all OPTIONS [1]
  - Remove COLOR256 option as devel/ncurses no longer supports building with
    extended colour support
  - Rework MAINTAINER_MODE to cater for building both manpages and docs
  
  Changes:	http://www.weechat.org/files/changelog/ChangeLog-0.4.3.html
  
  PR:		ports/185908 [1]
  Requested by:	dumbbell [1]

Modified:
  head/irc/weechat/Makefile
  head/irc/weechat/distinfo
  head/irc/weechat/files/patch-cmake-FindPython_cmake
  head/irc/weechat/files/patch-cmake-FindRuby_cmake
  head/irc/weechat/pkg-plist

Modified: head/irc/weechat/Makefile
==============================================================================
--- head/irc/weechat/Makefile	Wed Feb 12 15:47:09 2014	(r343931)
+++ head/irc/weechat/Makefile	Wed Feb 12 15:52:18 2014	(r343932)
@@ -2,9 +2,10 @@
 # $FreeBSD$
 
 PORTNAME=	weechat
-PORTVERSION=	0.4.2
+PORTVERSION=	0.4.3
 CATEGORIES=	irc
 MASTER_SITES=	http://weechat.org/files/src/
+DISTFILES=	${DISTNAME}${EXTRACT_SUFX}
 
 MAINTAINER=	jase@FreeBSD.org
 COMMENT=	A lightweight and user friendly ncurses based IRC client
@@ -14,7 +15,7 @@ LICENSE=	GPLv3
 CONFLICTS=	weechat-devel-0.*
 
 USE_LDCONFIG=	yes
-USES=		cmake iconv
+USES=		cmake iconv ncurses
 CMAKE_ARGS+=	-DENABLE_GUILE=no
 CFLAGS+=	-I${LOCALBASE}/include -L${LOCALBASE}/lib
 
@@ -22,18 +23,17 @@ LIB_DEPENDS+=	libcurl.so:${PORTSDIR}/ftp
 		libgcrypt.so:${PORTSDIR}/security/libgcrypt
 
 OPTIONS_DEFINE=	RUBY PYTHON PERL TCL LUA CHARSET BACKTRACE ASPELL \
-		GNUTLS NLS DOCUMENTATION COLOR256 ICON MANPAGES
-OPTIONS_DEFAULT=CHARSET MANPAGES
+		GNUTLS NLS ICON MANPAGES DOCS
+OPTIONS_DEFAULT=RUBY PYTHON PERL TCL LUA CHARSET BACKTRACE ASPELL \
+		GNUTLS ICON MANPAGES
 
 BACKTRACE_DESC=	Provide crash backtraces
 CHARSET_DESC=	Charset conversion support
-DOCUMENTATION_DESC=	Build and install documentation
 LUA_DESC=	Lua scripting support
 PERL_DESC=	Perl scripting support
 PYTHON_DESC=	Python scripting support
 RUBY_DESC=	Ruby scripting support
 TCL_DESC=	Tcl scripting support
-COLOR256_DESC=	Use ncurses port for 256 color support
 ICON_DESC=	Desktop icon
 
 .include <bsd.port.options.mk>
@@ -97,7 +97,7 @@ PLIST_SUB+=	PERL="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MTCL}
-USE_TCL=	84+
+USE_TCL=	85+
 .include "${PORTSDIR}/Mk/bsd.tcl.mk"
 CMAKE_ARGS+=	-DBSD_TCL_VER=${TCL_VER} \
 		-DBSD_TCL_LIBDIR=${LOCALBASE}/lib \
@@ -118,55 +118,48 @@ CMAKE_ARGS+=	-DENABLE_LUA=no
 PLIST_SUB+=	LUA="@comment "
 .endif
 
-.if ${PORT_OPTIONS:MDOCUMENTATION}
-BUILD_DEPENDS+=	asciidoc:${PORTSDIR}/textproc/asciidoc \
-		source-highlight>=3.1.5:${PORTSDIR}/textproc/source-highlight
-CMAKE_ARGS+=	-DENABLE_DOC=yes
-PLIST_SUB+=	DOCUMENTATION=""
+.if ${PORT_OPTIONS:MDOCS}
+PLIST_SUB+=	DOCS=""
+.if !defined(MAINTAINER_MODE)
+MASTER_SITES+=	${MASTER_SITE_LOCAL:S/$/:doc/}
+MASTER_SITE_SUBDIR+=	jase/weechat/:doc
+DISTFILES+=	${DISTNAME}-docs.txz:doc
+.endif
 .else
-CMAKE_ARGS+=	-DENABLE_DOC=no
-PLIST_SUB+=	DOCUMENTATION="@comment "
+PLIST_SUB+=	DOCS="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MMANPAGES}
-.if defined(MAINTAINER_MODE)
-BUILD_DEPENDS+=	xsltproc:${PORTSDIR}/textproc/libxslt \
-		docbook-xsl>=0:${PORTSDIR}/textproc/docbook-xsl
-.if empty(PORT_OPTIONS:MDOCUMENTATION)
-BUILD_DEPENDS+=	asciidoc:${PORTSDIR}/textproc/asciidoc \
-		source-highlight>=3.1.5:${PORTSDIR}/textproc/source-highlight
-.endif
-CMAKE_ARGS+=	-DENABLE_MAN=yes -DMANDIR=${MANPREFIX}/man
-.else
+PLIST_SUB+=	MANPAGES=""
+.if !defined(MAINTAINER_MODE)
 MASTER_SITES+=	${MASTER_SITE_LOCAL:S/$/:man/}
 MASTER_SITE_SUBDIR+=	jase/weechat/:man
-DISTFILES+=	${DISTNAME}${EXTRACT_SUFX} \
-		${DISTNAME}-manpages.tar.gz:man
-CMAKE_ARGS+=	-DENABLE_MAN=no
+DISTFILES+=	${DISTNAME}-manpages.txz:man
 .endif
-PLIST_SUB+=	MANPAGES=""
 .else
-CMAKE_ARGS+=	-DENABLE_MAN=no
-PLIST_SUB+=	MANPAGES="@comment"
+PLIST_SUB+=	MANPAGES="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MBACKTRACE}
 LIB_DEPENDS+=	execinfo:${PORTSDIR}/devel/libexecinfo
 .endif
 
-.if ${PORT_OPTIONS:MCOLOR256}
-USES+=		ncurses:port
-CMAKE_ARGS+=	-DNCURSES_INCLUDE_PATH=${LOCALBASE}/include/ncurses
-.else
-USES+=		ncurses
-.endif
-
 .if ${PORT_OPTIONS:MICON}
 PLIST_SUB+=	ICON=""
 .else
 PLIST_SUB+=	ICON="@comment "
 .endif
 
+.if defined(MAINTAINER_MODE)
+BUILD_DEPENDS+=	xsltproc:${PORTSDIR}/textproc/libxslt \
+		docbook-xsl>=0:${PORTSDIR}/textproc/docbook-xsl \
+		asciidoc:${PORTSDIR}/textproc/asciidoc \
+		source-highlight>=3.1.5:${PORTSDIR}/textproc/source-highlight
+CMAKE_ARGS+=	-DENABLE_MAN=yes -DMANDIR=${MANPREFIX}/man -DENABLE_DOC=yes
+.else
+CMAKE_ARGS+=	-DENABLE_MAN=no -DENABLE_DOC=no
+.endif
+
 post-patch:
 	@${REINPLACE_CMD} -e 's|$${LIBDIR}/../pkgconfig|$${CMAKE_INSTALL_PREFIX}/libdata/pkgconfig|' ${WRKSRC}/CMakeLists.txt
 	@${REINPLACE_CMD} -e 's|INSTALL|#INSTALL|' ${WRKSRC}/doc/CMakeLists.txt
@@ -180,25 +173,18 @@ post-patch:
 	@${REINPLACE_CMD} -e '/^# icon$$/,/^$$/d' ${WRKSRC}/CMakeLists.txt
 .endif
 
-pre-configure:
-.if ${PORT_OPTIONS:MCOLOR256}
-	@${ECHO_MSG} ""
-	@${ECHO_MSG} "==> You have selected the ncurses 256 color option. Please ensure that"
-	@${ECHO_MSG} "==> the devel/ncurses port is built with the EXTCOLORS option enabled."
-	@${ECHO_MSG} "==>"
-	@${ECHO_MSG} "==> Press Ctrl-C now if you want to re-configure."
-	@${ECHO_MSG} ""
-	@sleep 5
-.endif
-
 post-install:
 .if ${PORT_OPTIONS:MMANPAGES} && !defined(MAINTAINER_MODE)
 	${INSTALL_MAN} ${WRKDIR}/manpages/weechat.1 ${STAGEDIR}${PREFIX}/man/man1
-.for f in de fr it ja
+.for f in de fr it ja pl
 	@${MKDIR} ${STAGEDIR}${PREFIX}/man/${f}/man1
 	${INSTALL_MAN} ${WRKDIR}/manpages/${f}/weechat.1 ${STAGEDIR}${PREFIX}/man/${f}/man1
 .endfor
 .endif
+.if ${PORT_OPTIONS:MDOCS} && !defined(MAINTAINER_MODE)
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${WRKDIR}/docs/* ${STAGEDIR}${DOCSDIR}/
+.endif
 	${LN} -sf ${PREFIX}/bin/weechat ${STAGEDIR}${PREFIX}/bin/weechat-curses
 
 .include <bsd.port.mk>

Modified: head/irc/weechat/distinfo
==============================================================================
--- head/irc/weechat/distinfo	Wed Feb 12 15:47:09 2014	(r343931)
+++ head/irc/weechat/distinfo	Wed Feb 12 15:52:18 2014	(r343932)
@@ -1,4 +1,6 @@
-SHA256 (weechat-0.4.2.tar.gz) = 3bb9964ef776183adab9513b7e3662170039aaccab21eb71cfbeac494694d70f
-SIZE (weechat-0.4.2.tar.gz) = 2729241
-SHA256 (weechat-0.4.2-manpages.tar.gz) = 1a52d8585e8ffabee048e4f1a0fd122d324ab1bae3d90d1ddf113828e815c7df
-SIZE (weechat-0.4.2-manpages.tar.gz) = 6511
+SHA256 (weechat-0.4.3.tar.gz) = bfb5a34f78eaad0e22e1aa0783ff330907f253fcd50a1d3fd0aa19df9114dde9
+SIZE (weechat-0.4.3.tar.gz) = 2985048
+SHA256 (weechat-0.4.3-docs.txz) = 7267a8571763ce6ffccfab07043f6d3d4b28b420f43a525cc29795f73e5970de
+SIZE (weechat-0.4.3-docs.txz) = 671236
+SHA256 (weechat-0.4.3-manpages.txz) = adbe5e72f219c5b10a921ea67b53a99ca772a28e35d52e390b9eb8f773bc5107
+SIZE (weechat-0.4.3-manpages.txz) = 6996

Modified: head/irc/weechat/files/patch-cmake-FindPython_cmake
==============================================================================
--- head/irc/weechat/files/patch-cmake-FindPython_cmake	Wed Feb 12 15:47:09 2014	(r343931)
+++ head/irc/weechat/files/patch-cmake-FindPython_cmake	Wed Feb 12 15:52:18 2014	(r343932)
@@ -1,5 +1,5 @@
---- cmake/FindPython.cmake.orig	2013-01-11 00:10:37.730703018 +0000
-+++ cmake/FindPython.cmake	2013-01-11 00:21:33.725664455 +0000
+--- cmake/FindPython.cmake.orig	2014-02-09 08:52:53.000000000 +0000
++++ cmake/FindPython.cmake	2014-02-09 18:20:48.432096579 +0000
 @@ -33,17 +33,9 @@
     SET(PYTHON_FIND_QUIETLY TRUE)
  ENDIF(PYTHON_FOUND)

Modified: head/irc/weechat/files/patch-cmake-FindRuby_cmake
==============================================================================
--- head/irc/weechat/files/patch-cmake-FindRuby_cmake	Wed Feb 12 15:47:09 2014	(r343931)
+++ head/irc/weechat/files/patch-cmake-FindRuby_cmake	Wed Feb 12 15:52:18 2014	(r343932)
@@ -1,43 +1,56 @@
---- cmake/FindRuby.cmake.orig	2012-07-06 10:35:11.000000000 +0000
-+++ cmake/FindRuby.cmake	2012-07-07 04:50:51.807510722 +0000
-@@ -32,13 +32,12 @@
+--- cmake/FindRuby.cmake.orig	2014-02-09 18:24:48.291574320 +0000
++++ cmake/FindRuby.cmake	2014-02-09 18:27:20.902318912 +0000
+@@ -31,11 +31,6 @@
+    SET(RUBY_FIND_QUIETLY TRUE)
  ENDIF(RUBY_FOUND)
  
- FIND_PROGRAM(RUBY_EXECUTABLE
--  NAMES ruby1.9.3 ruby193 ruby1.9.2 ruby192 ruby1.9.1 ruby191 ruby1.9 ruby19 ruby1.8 ruby18 ruby1.6 ruby16 ruby
--  PATHS /usr/bin /usr/local/bin /usr/pkg/bin
-+  NAMES ${BSD_RUBY_CMD}
-   )
- 
- IF(RUBY_EXECUTABLE)
-   EXECUTE_PROCESS(
--    COMMAND ${RUBY_EXECUTABLE} -r rbconfig -e "print RbConfig::CONFIG['rubyhdrdir'] || RbConfig::CONFIG['archdir']"
-+    COMMAND ${RUBY_EXECUTABLE} -r rbconfig -e "print RbConfig::CONFIG['rubyhdrdir'] || RbConfig::CONFIG['topdir']"
-     OUTPUT_VARIABLE RUBY_ARCH_DIR
+-FIND_PACKAGE(PkgConfig)
+-IF(PKG_CONFIG_FOUND)
+-  pkg_search_module(RUBY ruby-2.0 ruby-1.9 ruby-1.8)
+-ENDIF(PKG_CONFIG_FOUND)
+-
+ IF(RUBY_FOUND)
+ 
+   SET(RUBY_LIB "")
+@@ -44,14 +39,13 @@
+ ELSE(RUBY_FOUND)
+ 
+   FIND_PROGRAM(RUBY_EXECUTABLE
+-    NAMES ruby1.9.3 ruby193 ruby1.9.2 ruby192 ruby1.9.1 ruby191 ruby1.9 ruby19 ruby1.8 ruby18 ruby
+-    PATHS /usr/bin /usr/local/bin /usr/pkg/bin
++    NAMES ${BSD_RUBY_CMD}
      )
  
-@@ -48,12 +47,12 @@
-     )
- 
-   EXECUTE_PROCESS(
--    COMMAND ${RUBY_EXECUTABLE} -r rbconfig -e "print RbConfig::CONFIG['libdir']"
-+    COMMAND ${RUBY_EXECUTABLE} -r rbconfig -e "print RbConfig::TOPDIR + '/lib'"
-     OUTPUT_VARIABLE RUBY_POSSIBLE_LIB_PATH
-     )
+   IF(RUBY_EXECUTABLE)
  
-   EXECUTE_PROCESS(
--    COMMAND ${RUBY_EXECUTABLE} -r rbconfig -e "print RbConfig::CONFIG['rubylibdir']"
-+    COMMAND ${RUBY_EXECUTABLE} -r rbconfig -e "puts RbConfig::TOPDIR + '/lib/ruby/' + RbConfig::CONFIG['ruby_version']"
-     OUTPUT_VARIABLE RUBY_RUBY_LIB_PATH
-     )
- 
-@@ -71,8 +70,7 @@
-     "${RUBY_INCLUDE_PATH}/${RUBY_ARCH}")
- 
-   FIND_LIBRARY(RUBY_LIBRARY
--    NAMES ruby-1.9.3 ruby1.9.3 ruby193 ruby-1.9.2 ruby1.9.2 ruby192 ruby-1.9.1 ruby1.9.1 ruby191 ruby1.9 ruby19 ruby1.8 ruby18 ruby1.6 ruby16 ruby
--    PATHS ${RUBY_POSSIBLE_LIB_PATH} ${RUBY_RUBY_LIB_PATH}
-+    NAMES ${BSD_RUBY_VER}
-     )
+     EXECUTE_PROCESS(
+-      COMMAND ${RUBY_EXECUTABLE} -r rbconfig -e "print RbConfig::CONFIG['rubyhdrdir'] || RbConfig::CONFIG['archdir']"
++      COMMAND ${RUBY_EXECUTABLE} -r rbconfig -e "print RbConfig::CONFIG['rubyhdrdir'] || RbConfig::CONFIG['topdir']"
+       OUTPUT_VARIABLE RUBY_ARCH_DIR
+       )
+ 
+@@ -61,12 +55,12 @@
+       )
+ 
+     EXECUTE_PROCESS(
+-      COMMAND ${RUBY_EXECUTABLE} -r rbconfig -e "print RbConfig::CONFIG['libdir']"
++      COMMAND ${RUBY_EXECUTABLE} -r rbconfig -e "print RbConfig::TOPDIR + '/lib'"
+       OUTPUT_VARIABLE RUBY_POSSIBLE_LIB_PATH
+       )
+ 
+     EXECUTE_PROCESS(
+-      COMMAND ${RUBY_EXECUTABLE} -r rbconfig -e "print RbConfig::CONFIG['rubylibdir']"
++      COMMAND ${RUBY_EXECUTABLE} -r rbconfig -e "print RbConfig::TOPDIR + '/lib/ruby/' + RbConfig::CONFIG['ruby_version']"
+       OUTPUT_VARIABLE RUBY_RUBY_LIB_PATH
+       )
+ 
+@@ -78,8 +72,7 @@
+     SET(RUBY_INCLUDE_ARCH "${RUBY_INCLUDE_DIRS}/${RUBY_ARCH}")
+ 
+     FIND_LIBRARY(RUBY_LIB
+-      NAMES ruby-1.9.3 ruby1.9.3 ruby193 ruby-1.9.2 ruby1.9.2 ruby192 ruby-1.9.1 ruby1.9.1 ruby191 ruby1.9 ruby19 ruby1.8 ruby18 ruby
+-      PATHS ${RUBY_POSSIBLE_LIB_PATH} ${RUBY_RUBY_LIB_PATH}
++      NAMES ${BSD_RUBY_VER}
+       )
  
-   IF(RUBY_LIBRARY AND RUBY_INCLUDE_PATH)
+     IF(RUBY_LIB AND RUBY_INCLUDE_DIRS)

Modified: head/irc/weechat/pkg-plist
==============================================================================
--- head/irc/weechat/pkg-plist	Wed Feb 12 15:47:09 2014	(r343931)
+++ head/irc/weechat/pkg-plist	Wed Feb 12 15:52:18 2014	(r343932)
@@ -15,6 +15,7 @@ libdata/pkgconfig/weechat.pc
 %%MANPAGES%%man/fr/man1/weechat.1.gz
 %%MANPAGES%%man/it/man1/weechat.1.gz
 %%MANPAGES%%man/ja/man1/weechat.1.gz
+%%MANPAGES%%man/pl/man1/weechat.1.gz
 %%ASPELL%%lib/weechat/plugins/aspell.so
 %%CHARSET%%lib/weechat/plugins/charset.so
 %%LUA%%lib/weechat/plugins/lua.so
@@ -22,42 +23,47 @@ libdata/pkgconfig/weechat.pc
 %%PYTHON%%lib/weechat/plugins/python.so
 %%RUBY%%lib/weechat/plugins/ruby.so
 %%TCL%%lib/weechat/plugins/tcl.so
-%%DOCUMENTATION%%share/doc/weechat/weechat_dev.en.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_faq.de.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_faq.en.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_faq.fr.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_faq.it.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_faq.ja.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_faq.pl.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_plugin_api.en.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_plugin_api.fr.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_plugin_api.it.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_quickstart.de.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_quickstart.en.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_quickstart.es.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_quickstart.fr.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_quickstart.ja.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_quickstart.it.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_quickstart.pl.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_quickstart.ru.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_relay_protocol.en.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_scripting.de.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_scripting.en.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_scripting.fr.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_scripting.it.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_scripting.ja.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_scripting.pl.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_tester.de.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_tester.en.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_tester.fr.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_tester.ja.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_tester.it.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_tester.pl.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_user.de.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_user.en.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_user.fr.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_user.it.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_user.ja.html
+%%DOCS%%%%DOCSDIR%%/weechat_dev.en.html
+%%DOCS%%%%DOCSDIR%%/weechat_dev.fr.html
+%%DOCS%%%%DOCSDIR%%/weechat_dev.ja.html
+%%DOCS%%%%DOCSDIR%%/weechat_faq.de.html
+%%DOCS%%%%DOCSDIR%%/weechat_faq.en.html
+%%DOCS%%%%DOCSDIR%%/weechat_faq.fr.html
+%%DOCS%%%%DOCSDIR%%/weechat_faq.it.html
+%%DOCS%%%%DOCSDIR%%/weechat_faq.ja.html
+%%DOCS%%%%DOCSDIR%%/weechat_faq.pl.html
+%%DOCS%%%%DOCSDIR%%/weechat_plugin_api.en.html
+%%DOCS%%%%DOCSDIR%%/weechat_plugin_api.fr.html
+%%DOCS%%%%DOCSDIR%%/weechat_plugin_api.it.html
+%%DOCS%%%%DOCSDIR%%/weechat_plugin_api.ja.html
+%%DOCS%%%%DOCSDIR%%/weechat_quickstart.de.html
+%%DOCS%%%%DOCSDIR%%/weechat_quickstart.en.html
+%%DOCS%%%%DOCSDIR%%/weechat_quickstart.es.html
+%%DOCS%%%%DOCSDIR%%/weechat_quickstart.fr.html
+%%DOCS%%%%DOCSDIR%%/weechat_quickstart.ja.html
+%%DOCS%%%%DOCSDIR%%/weechat_quickstart.it.html
+%%DOCS%%%%DOCSDIR%%/weechat_quickstart.pl.html
+%%DOCS%%%%DOCSDIR%%/weechat_quickstart.ru.html
+%%DOCS%%%%DOCSDIR%%/weechat_relay_protocol.en.html
+%%DOCS%%%%DOCSDIR%%/weechat_relay_protocol.fr.html
+%%DOCS%%%%DOCSDIR%%/weechat_scripting.de.html
+%%DOCS%%%%DOCSDIR%%/weechat_scripting.en.html
+%%DOCS%%%%DOCSDIR%%/weechat_scripting.fr.html
+%%DOCS%%%%DOCSDIR%%/weechat_scripting.it.html
+%%DOCS%%%%DOCSDIR%%/weechat_scripting.ja.html
+%%DOCS%%%%DOCSDIR%%/weechat_scripting.pl.html
+%%DOCS%%%%DOCSDIR%%/weechat_tester.de.html
+%%DOCS%%%%DOCSDIR%%/weechat_tester.en.html
+%%DOCS%%%%DOCSDIR%%/weechat_tester.fr.html
+%%DOCS%%%%DOCSDIR%%/weechat_tester.ja.html
+%%DOCS%%%%DOCSDIR%%/weechat_tester.it.html
+%%DOCS%%%%DOCSDIR%%/weechat_tester.pl.html
+%%DOCS%%%%DOCSDIR%%/weechat_user.de.html
+%%DOCS%%%%DOCSDIR%%/weechat_user.en.html
+%%DOCS%%%%DOCSDIR%%/weechat_user.fr.html
+%%DOCS%%%%DOCSDIR%%/weechat_user.it.html
+%%DOCS%%%%DOCSDIR%%/weechat_user.ja.html
+%%DOCS%%%%DOCSDIR%%/weechat_user.pl.html
 %%ICON%%share/icons/hicolor/32x32/apps/weechat.png
 %%NLS%%share/locale/cs/LC_MESSAGES/weechat.mo
 %%NLS%%share/locale/de/LC_MESSAGES/weechat.mo
@@ -72,13 +78,15 @@ libdata/pkgconfig/weechat.pc
 %%NLS%%share/locale/tr/LC_MESSAGES/weechat.mo
 @dirrmtry lib/weechat/plugins
 @dirrmtry lib/weechat
+%%MANPAGES%%@dirrmtry man/pl/man1
+%%MANPAGES%%@dirrmtry man/pl
 %%MANPAGES%%@dirrmtry man/it/man1
 %%MANPAGES%%@dirrmtry man/it
 %%MANPAGES%%@dirrmtry man/fr/man1
 %%MANPAGES%%@dirrmtry man/fr
 %%MANPAGES%%@dirrmtry man/de/man1
 %%MANPAGES%%@dirrmtry man/de
-%%DOCUMENTATION%%@dirrmtry share/doc/weechat
+%%DOCS%%@dirrmtry %%DOCSDIR%%
 %%ICON%%@dirrmtry share/icons/hicolor/32x32/apps
 %%ICON%%@dirrmtry share/icons/hicolor/32x32
 %%ICON%%@dirrmtry share/icons/hicolor
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 dfilter service freebsd_committer 2014-02-13 18:38:29 UTC
Author: jase
Date: Thu Feb 13 18:38:20 2014
New Revision: 344137
URL: http://svnweb.freebsd.org/changeset/ports/344137
QAT: https://qat.redports.org/buildarchive/r344137/

Log:
  - Update to 20140213 (0.4.4-dev)
  - Add secondary MASTER_SITES entry
  - Rename DOCUMENTATION option to DOCS and add a pre-built docs distfile
  - Utilise DOCSDIR macro in pkg-plist
  - Change defaults to enable all OPTIONS [1]
  - Remove COLOR256 option as devel/ncurses no longer supports building with
    extended colour support
  - Rework MAINTAINER_MODE to cater for building both manpages and docs
  
  PR:		ports/185908 [1]
  Requested by:	dumbbell [1]

Modified:
  head/irc/weechat-devel/Makefile
  head/irc/weechat-devel/distinfo
  head/irc/weechat-devel/files/patch-cmake-FindRuby_cmake
  head/irc/weechat-devel/pkg-plist

Modified: head/irc/weechat-devel/Makefile
==============================================================================
--- head/irc/weechat-devel/Makefile	Thu Feb 13 18:21:09 2014	(r344136)
+++ head/irc/weechat-devel/Makefile	Thu Feb 13 18:38:20 2014	(r344137)
@@ -1,13 +1,14 @@
 # $FreeBSD$
 
 PORTNAME=	weechat
-PORTVERSION=	20140110
+PORTVERSION=	20140213
 CATEGORIES=	irc
-MASTER_SITES=	http://perturb.me.uk/distfiles/ \
+MASTER_SITES=	http://perturb.me.uk/distfiles/weechat-devel/ \
 		${MASTER_SITE_LOCAL}
 MASTER_SITE_SUBDIR=	jase/weechat-devel
 PKGNAMESUFFIX=	-devel
 DISTNAME=	weechat-devel-${GITREV}
+DISTFILES=	${DISTNAME}.txz
 
 MAINTAINER=	jase@FreeBSD.org
 COMMENT=	A lightweight and user friendly ncurses based IRC client
@@ -19,14 +20,14 @@ UNIQUENAME=	${PORTNAME}${PKGNAMESUFFIX}
 CONFLICTS=	weechat-0.3*
 
 USE_LDCONFIG=	yes
-USES=		cmake iconv
+USES=		cmake iconv ncurses
 CMAKE_ARGS+=	-DENABLE_GUILE=no
 CFLAGS+=	-I${LOCALBASE}/include -L${LOCALBASE}/lib
 
 LIB_DEPENDS+=	libcurl.so:${PORTSDIR}/ftp/curl \
 		libgcrypt.so:${PORTSDIR}/security/libgcrypt
 
-GITDESC=	v0.4.2-211-g3bba891
+GITDESC=	v0.4.3-14-gc324610
 GITREV!=	echo "${GITDESC}" | sed -E 's/^.*-g(.{7})$$/\1/'
 WRKSRC=		${WRKDIR}/${PORTNAME}-${GITREV}
 
@@ -35,12 +36,12 @@ WRKSRC=		${WRKDIR}/${PORTNAME}-${GITREV}
 # Release.
 
 OPTIONS_DEFINE=	RUBY PYTHON PERL TCL LUA CHARSET BACKTRACE DEBUG ASPELL \
-		GNUTLS NLS DOCUMENTATION COLOR256 ICON MANPAGES
-OPTIONS_DEFAULT=CHARSET BACKTRACE DEBUG MANPAGES
+		GNUTLS NLS DOCS ICON MANPAGES
+OPTIONS_DEFAULTS=	RUBY PYTHON PERL TCL LUA CHARSET BACKTRACE DEBUG ASPELL \
+		GNUTLS ICON MANPAGES
 
 BACKTRACE_DESC=	Provide crash backtraces
 CHARSET_DESC=	Charset conversion support
-DOCUMENTATION_DESC=	Build and install documentation
 LUA_DESC=	Lua scripting support
 PERL_DESC=	Perl scripting support
 PYTHON_DESC=	Python scripting support
@@ -110,7 +111,7 @@ PLIST_SUB+=	PERL="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MTCL}
-USE_TCL=	84+
+USE_TCL=	85+
 .include "${PORTSDIR}/Mk/bsd.tcl.mk"
 CMAKE_ARGS+=	-DBSD_TCL_VER=${TCL_VER} \
 		-DBSD_TCL_LIBDIR=${LOCALBASE}/lib \
@@ -131,49 +132,38 @@ CMAKE_ARGS+=	-DENABLE_LUA=no
 PLIST_SUB+=	LUA="@comment "
 .endif
 
-.if ${PORT_OPTIONS:MDOCUMENTATION}
-BUILD_DEPENDS+=	asciidoc:${PORTSDIR}/textproc/asciidoc \
+.if defined(MAINTAINER_MODE)
+BUILD_DEPENDS+=	xsltproc:${PORTSDIR}/textproc/libxslt \
+		docbook-xsl>=0:${PORTSDIR}/textproc/docbook-xsl \
+		asciidoc:${PORTSDIR}/textproc/asciidoc \
 		source-highlight>=3.1.5:${PORTSDIR}/textproc/source-highlight
-CMAKE_ARGS+=	-DENABLE_DOC=yes
-PLIST_SUB+=	DOCUMENTATION=""
+CMAKE_ARGS+=	-DENABLE_MAN=yes -DMANDIR=${MANPREFIX}/man -DENABLE_DOC=yes
 .else
-CMAKE_ARGS+=	-DENABLE_DOC=no
-PLIST_SUB+=	DOCUMENTATION="@comment "
+CMAKE_ARGS+=	-DENABLE_MAN=no -DENABLE_DOC=no
 .endif
 
-.if ${PORT_OPTIONS:MMANPAGES}
-.if defined(MAINTAINER_MODE)
-BUILD_DEPENDS+=	xsltproc:${PORTSDIR}/textproc/libxslt \
-		docbook-xsl>=0:${PORTSDIR}/textproc/docbook-xsl
-.if empty(PORT_OPTIONS:MDOCUMENTATION)
-BUILD_DEPENDS+=	asciidoc:${PORTSDIR}/textproc/asciidoc \
-		source-highlight>=3.1.5:${PORTSDIR}/textproc/source-highlight
+.if ${PORT_OPTIONS:MDOCS}
+PLIST_SUB+=	DOCS=""
+.if !defined(MAINTAINER_MODE)
+DISTFILES+=	${DISTNAME}-docs.txz
 .endif
-CMAKE_ARGS+=	-DENABLE_MAN=yes -DMANDIR=${MANPREFIX}/man
 .else
-MASTER_SITES+=	${MASTER_SITE_LOCAL:S/$/:man/}
-MASTER_SITE_SUBDIR+=	jase/weechat-devel/:man
-DISTFILES+=	${DISTNAME}${EXTRACT_SUFX} \
-		weechat-devel-20131015-manpages.tar.gz:man
-CMAKE_ARGS+=	-DENABLE_MAN=no
+PLIST_SUB+=	DOCS="@comment "
 .endif
+
+.if ${PORT_OPTIONS:MMANPAGES}
 PLIST_SUB+=	MANPAGES=""
+.if !defined(MAINTAINER_MODE)
+DISTFILES+=	${DISTNAME}-manpages.txz
+.endif
 .else
-CMAKE_ARGS+=	-DENABLE_MAN=no
-PLIST_SUB+=	MANPAGES="@comment"
+PLIST_SUB+=	MANPAGES="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MBACKTRACE}
 LIB_DEPENDS+=	execinfo:${PORTSDIR}/devel/libexecinfo
 .endif
 
-.if ${PORT_OPTIONS:MCOLOR256}
-USES+=		ncurses:port
-CMAKE_ARGS+=	-DNCURSES_INCLUDE_PATH=${LOCALBASE}/include/ncurses
-.else
-USES+=		ncurses
-.endif
-
 .if ${PORT_OPTIONS:MICON}
 PLIST_SUB+=	ICON=""
 .else
@@ -195,25 +185,18 @@ post-patch:
 	@${REINPLACE_CMD} -e '/^# icon$$/,/^$$/d' ${WRKSRC}/CMakeLists.txt
 .endif
 
-pre-configure:
-.if ${PORT_OPTIONS:MCOLOR256}
-	@${ECHO_MSG} ""
-	@${ECHO_MSG} "==> You have selected the ncurses 256 color option. Please ensure that"
-	@${ECHO_MSG} "==> the devel/ncurses port is built with the EXTCOLORS option enabled."
-	@${ECHO_MSG} "==>"
-	@${ECHO_MSG} "==> Press Ctrl-C now if you want to re-configure."
-	@${ECHO_MSG} ""
-	@sleep 5
-.endif
-
 post-install:
 .if ${PORT_OPTIONS:MMANPAGES} && !defined(MAINTAINER_MODE)
 	${INSTALL_MAN} ${WRKDIR}/manpages/weechat.1 ${STAGEDIR}${PREFIX}/man/man1
-.for f in de fr it ja
+.for f in de fr it ja pl
 	@${MKDIR} ${STAGEDIR}${PREFIX}/man/${f}/man1
 	${INSTALL_MAN} ${WRKDIR}/manpages/${f}/weechat.1 ${STAGEDIR}${PREFIX}/man/${f}/man1
 .endfor
 .endif
+.if ${PORT_OPTIONS:MDOCS} && !defined(MAINTAINER_MODE)
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${WRKDIR}/docs/* ${STAGEDIR}${DOCSDIR}/
+.endif
 	${LN} -sf ${PREFIX}/bin/weechat ${STAGEDIR}${PREFIX}/bin/weechat-curses
 
 .include <bsd.port.mk>

Modified: head/irc/weechat-devel/distinfo
==============================================================================
--- head/irc/weechat-devel/distinfo	Thu Feb 13 18:21:09 2014	(r344136)
+++ head/irc/weechat-devel/distinfo	Thu Feb 13 18:38:20 2014	(r344137)
@@ -1,4 +1,6 @@
-SHA256 (weechat-devel-3bba891.tar.gz) = 8a1097e762699a9bba1ef10012dae09757a3b18bf103dbe764f84e828a8482be
-SIZE (weechat-devel-3bba891.tar.gz) = 2854593
-SHA256 (weechat-devel-20131015-manpages.tar.gz) = cd722835372e25b952a5819d4bd3fe2d5a019907ab1fd0bb279c6ece47115fa2
-SIZE (weechat-devel-20131015-manpages.tar.gz) = 6490
+SHA256 (weechat-devel-c324610.txz) = cb9d42962882adad85bbfadc369f22c4e7d7c3e7ebc5886288e3f2d999ee7344
+SIZE (weechat-devel-c324610.txz) = 1559384
+SHA256 (weechat-devel-c324610-docs.txz) = c8f55cfe6f5a5db74e98cb6195a72e8cfe4dbab433c65125d1453e82f4b3d62a
+SIZE (weechat-devel-c324610-docs.txz) = 675024
+SHA256 (weechat-devel-c324610-manpages.txz) = 013f32bafd9897f3e8e4f28ff9a7491a9e13cc8b500460b431a3d66d4122bce9
+SIZE (weechat-devel-c324610-manpages.txz) = 6972

Modified: head/irc/weechat-devel/files/patch-cmake-FindRuby_cmake
==============================================================================
--- head/irc/weechat-devel/files/patch-cmake-FindRuby_cmake	Thu Feb 13 18:21:09 2014	(r344136)
+++ head/irc/weechat-devel/files/patch-cmake-FindRuby_cmake	Thu Feb 13 18:38:20 2014	(r344137)
@@ -1,43 +1,56 @@
---- cmake/FindRuby.cmake.orig	2012-07-06 10:35:11.000000000 +0000
-+++ cmake/FindRuby.cmake	2012-07-07 04:50:51.807510722 +0000
-@@ -32,13 +32,12 @@
+--- cmake/FindRuby.cmake.orig	2014-02-09 18:24:48.291574320 +0000
++++ cmake/FindRuby.cmake	2014-02-09 18:27:20.902318912 +0000
+@@ -31,11 +31,6 @@
+    SET(RUBY_FIND_QUIETLY TRUE)
  ENDIF(RUBY_FOUND)
  
- FIND_PROGRAM(RUBY_EXECUTABLE
--  NAMES ruby1.9.3 ruby193 ruby1.9.2 ruby192 ruby1.9.1 ruby191 ruby1.9 ruby19 ruby1.8 ruby18 ruby1.6 ruby16 ruby
--  PATHS /usr/bin /usr/local/bin /usr/pkg/bin
-+  NAMES ${BSD_RUBY_CMD}
-   )
- 
- IF(RUBY_EXECUTABLE)
-   EXECUTE_PROCESS(
--    COMMAND ${RUBY_EXECUTABLE} -r rbconfig -e "print RbConfig::CONFIG['rubyhdrdir'] || RbConfig::CONFIG['archdir']"
-+    COMMAND ${RUBY_EXECUTABLE} -r rbconfig -e "print RbConfig::CONFIG['rubyhdrdir'] || RbConfig::CONFIG['topdir']"
-     OUTPUT_VARIABLE RUBY_ARCH_DIR
+-FIND_PACKAGE(PkgConfig)
+-IF(PKG_CONFIG_FOUND)
+-  pkg_search_module(RUBY ruby-2.0 ruby-1.9 ruby-1.8)
+-ENDIF(PKG_CONFIG_FOUND)
+-
+ IF(RUBY_FOUND)
+ 
+   SET(RUBY_LIB "")
+@@ -44,14 +39,13 @@
+ ELSE(RUBY_FOUND)
+ 
+   FIND_PROGRAM(RUBY_EXECUTABLE
+-    NAMES ruby1.9.3 ruby193 ruby1.9.2 ruby192 ruby1.9.1 ruby191 ruby1.9 ruby19 ruby1.8 ruby18 ruby
+-    PATHS /usr/bin /usr/local/bin /usr/pkg/bin
++    NAMES ${BSD_RUBY_CMD}
      )
  
-@@ -48,12 +47,12 @@
-     )
- 
-   EXECUTE_PROCESS(
--    COMMAND ${RUBY_EXECUTABLE} -r rbconfig -e "print RbConfig::CONFIG['libdir']"
-+    COMMAND ${RUBY_EXECUTABLE} -r rbconfig -e "print RbConfig::TOPDIR + '/lib'"
-     OUTPUT_VARIABLE RUBY_POSSIBLE_LIB_PATH
-     )
+   IF(RUBY_EXECUTABLE)
  
-   EXECUTE_PROCESS(
--    COMMAND ${RUBY_EXECUTABLE} -r rbconfig -e "print RbConfig::CONFIG['rubylibdir']"
-+    COMMAND ${RUBY_EXECUTABLE} -r rbconfig -e "puts RbConfig::TOPDIR + '/lib/ruby/' + RbConfig::CONFIG['ruby_version']"
-     OUTPUT_VARIABLE RUBY_RUBY_LIB_PATH
-     )
- 
-@@ -71,8 +70,7 @@
-     "${RUBY_INCLUDE_PATH}/${RUBY_ARCH}")
- 
-   FIND_LIBRARY(RUBY_LIBRARY
--    NAMES ruby-1.9.3 ruby1.9.3 ruby193 ruby-1.9.2 ruby1.9.2 ruby192 ruby-1.9.1 ruby1.9.1 ruby191 ruby1.9 ruby19 ruby1.8 ruby18 ruby1.6 ruby16 ruby
--    PATHS ${RUBY_POSSIBLE_LIB_PATH} ${RUBY_RUBY_LIB_PATH}
-+    NAMES ${BSD_RUBY_VER}
-     )
+     EXECUTE_PROCESS(
+-      COMMAND ${RUBY_EXECUTABLE} -r rbconfig -e "print RbConfig::CONFIG['rubyhdrdir'] || RbConfig::CONFIG['archdir']"
++      COMMAND ${RUBY_EXECUTABLE} -r rbconfig -e "print RbConfig::CONFIG['rubyhdrdir'] || RbConfig::CONFIG['topdir']"
+       OUTPUT_VARIABLE RUBY_ARCH_DIR
+       )
+ 
+@@ -61,12 +55,12 @@
+       )
+ 
+     EXECUTE_PROCESS(
+-      COMMAND ${RUBY_EXECUTABLE} -r rbconfig -e "print RbConfig::CONFIG['libdir']"
++      COMMAND ${RUBY_EXECUTABLE} -r rbconfig -e "print RbConfig::TOPDIR + '/lib'"
+       OUTPUT_VARIABLE RUBY_POSSIBLE_LIB_PATH
+       )
+ 
+     EXECUTE_PROCESS(
+-      COMMAND ${RUBY_EXECUTABLE} -r rbconfig -e "print RbConfig::CONFIG['rubylibdir']"
++      COMMAND ${RUBY_EXECUTABLE} -r rbconfig -e "print RbConfig::TOPDIR + '/lib/ruby/' + RbConfig::CONFIG['ruby_version']"
+       OUTPUT_VARIABLE RUBY_RUBY_LIB_PATH
+       )
+ 
+@@ -78,8 +72,7 @@
+     SET(RUBY_INCLUDE_ARCH "${RUBY_INCLUDE_DIRS}/${RUBY_ARCH}")
+ 
+     FIND_LIBRARY(RUBY_LIB
+-      NAMES ruby-1.9.3 ruby1.9.3 ruby193 ruby-1.9.2 ruby1.9.2 ruby192 ruby-1.9.1 ruby1.9.1 ruby191 ruby1.9 ruby19 ruby1.8 ruby18 ruby
+-      PATHS ${RUBY_POSSIBLE_LIB_PATH} ${RUBY_RUBY_LIB_PATH}
++      NAMES ${BSD_RUBY_VER}
+       )
  
-   IF(RUBY_LIBRARY AND RUBY_INCLUDE_PATH)
+     IF(RUBY_LIB AND RUBY_INCLUDE_DIRS)

Modified: head/irc/weechat-devel/pkg-plist
==============================================================================
--- head/irc/weechat-devel/pkg-plist	Thu Feb 13 18:21:09 2014	(r344136)
+++ head/irc/weechat-devel/pkg-plist	Thu Feb 13 18:38:20 2014	(r344137)
@@ -15,6 +15,7 @@ libdata/pkgconfig/weechat.pc
 %%MANPAGES%%man/fr/man1/weechat.1.gz
 %%MANPAGES%%man/it/man1/weechat.1.gz
 %%MANPAGES%%man/ja/man1/weechat.1.gz
+%%MANPAGES%%man/pl/man1/weechat.1.gz
 %%ASPELL%%lib/weechat/plugins/aspell.so
 %%CHARSET%%lib/weechat/plugins/charset.so
 %%LUA%%lib/weechat/plugins/lua.so
@@ -22,43 +23,47 @@ libdata/pkgconfig/weechat.pc
 %%PYTHON%%lib/weechat/plugins/python.so
 %%RUBY%%lib/weechat/plugins/ruby.so
 %%TCL%%lib/weechat/plugins/tcl.so
-%%DOCUMENTATION%%share/doc/weechat/weechat_dev.en.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_faq.de.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_faq.en.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_faq.fr.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_faq.it.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_faq.ja.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_faq.pl.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_plugin_api.en.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_plugin_api.fr.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_plugin_api.it.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_quickstart.de.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_quickstart.en.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_quickstart.es.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_quickstart.fr.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_quickstart.ja.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_quickstart.it.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_quickstart.pl.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_quickstart.ru.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_relay_protocol.en.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_scripting.de.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_scripting.en.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_scripting.fr.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_scripting.it.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_scripting.ja.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_scripting.pl.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_tester.de.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_tester.en.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_tester.fr.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_tester.ja.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_tester.it.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_tester.pl.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_user.de.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_user.en.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_user.fr.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_user.it.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_user.ja.html
-%%DOCUMENTATION%%share/doc/weechat/weechat_user.pl.html
+%%DOCS%%%%DOCSDIR%%/weechat_dev.en.html
+%%DOCS%%%%DOCSDIR%%/weechat_dev.fr.html
+%%DOCS%%%%DOCSDIR%%/weechat_dev.ja.html
+%%DOCS%%%%DOCSDIR%%/weechat_faq.de.html
+%%DOCS%%%%DOCSDIR%%/weechat_faq.en.html
+%%DOCS%%%%DOCSDIR%%/weechat_faq.fr.html
+%%DOCS%%%%DOCSDIR%%/weechat_faq.it.html
+%%DOCS%%%%DOCSDIR%%/weechat_faq.ja.html
+%%DOCS%%%%DOCSDIR%%/weechat_faq.pl.html
+%%DOCS%%%%DOCSDIR%%/weechat_plugin_api.en.html
+%%DOCS%%%%DOCSDIR%%/weechat_plugin_api.fr.html
+%%DOCS%%%%DOCSDIR%%/weechat_plugin_api.it.html
+%%DOCS%%%%DOCSDIR%%/weechat_plugin_api.ja.html
+%%DOCS%%%%DOCSDIR%%/weechat_quickstart.de.html
+%%DOCS%%%%DOCSDIR%%/weechat_quickstart.en.html
+%%DOCS%%%%DOCSDIR%%/weechat_quickstart.es.html
+%%DOCS%%%%DOCSDIR%%/weechat_quickstart.fr.html
+%%DOCS%%%%DOCSDIR%%/weechat_quickstart.ja.html
+%%DOCS%%%%DOCSDIR%%/weechat_quickstart.it.html
+%%DOCS%%%%DOCSDIR%%/weechat_quickstart.pl.html
+%%DOCS%%%%DOCSDIR%%/weechat_quickstart.ru.html
+%%DOCS%%%%DOCSDIR%%/weechat_relay_protocol.en.html
+%%DOCS%%%%DOCSDIR%%/weechat_relay_protocol.fr.html
+%%DOCS%%%%DOCSDIR%%/weechat_scripting.de.html
+%%DOCS%%%%DOCSDIR%%/weechat_scripting.en.html
+%%DOCS%%%%DOCSDIR%%/weechat_scripting.fr.html
+%%DOCS%%%%DOCSDIR%%/weechat_scripting.it.html
+%%DOCS%%%%DOCSDIR%%/weechat_scripting.ja.html
+%%DOCS%%%%DOCSDIR%%/weechat_scripting.pl.html
+%%DOCS%%%%DOCSDIR%%/weechat_tester.de.html
+%%DOCS%%%%DOCSDIR%%/weechat_tester.en.html
+%%DOCS%%%%DOCSDIR%%/weechat_tester.fr.html
+%%DOCS%%%%DOCSDIR%%/weechat_tester.ja.html
+%%DOCS%%%%DOCSDIR%%/weechat_tester.it.html
+%%DOCS%%%%DOCSDIR%%/weechat_tester.pl.html
+%%DOCS%%%%DOCSDIR%%/weechat_user.de.html
+%%DOCS%%%%DOCSDIR%%/weechat_user.en.html
+%%DOCS%%%%DOCSDIR%%/weechat_user.fr.html
+%%DOCS%%%%DOCSDIR%%/weechat_user.it.html
+%%DOCS%%%%DOCSDIR%%/weechat_user.ja.html
+%%DOCS%%%%DOCSDIR%%/weechat_user.pl.html
 %%ICON%%share/icons/hicolor/32x32/apps/weechat.png
 %%NLS%%share/locale/cs/LC_MESSAGES/weechat.mo
 %%NLS%%share/locale/de/LC_MESSAGES/weechat.mo
@@ -73,13 +78,15 @@ libdata/pkgconfig/weechat.pc
 %%NLS%%share/locale/tr/LC_MESSAGES/weechat.mo
 @dirrmtry lib/weechat/plugins
 @dirrmtry lib/weechat
+%%MANPAGES%%@dirrmtry man/pl/man1
+%%MANPAGES%%@dirrmtry man/pl
 %%MANPAGES%%@dirrmtry man/it/man1
 %%MANPAGES%%@dirrmtry man/it
 %%MANPAGES%%@dirrmtry man/fr/man1
 %%MANPAGES%%@dirrmtry man/fr
 %%MANPAGES%%@dirrmtry man/de/man1
 %%MANPAGES%%@dirrmtry man/de
-%%DOCUMENTATION%%@dirrmtry share/doc/weechat
+%%DOCS%%@dirrmtry %%DOCSDIR%%
 %%ICON%%@dirrmtry share/icons/hicolor/32x32/apps
 %%ICON%%@dirrmtry share/icons/hicolor/32x32
 %%ICON%%@dirrmtry share/icons/hicolor
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Jase Thew freebsd_committer 2014-02-13 19:15:26 UTC
State Changed
From-To: analyzed->closed

Both ports now have all options enabled by default.